Listar devoluções DICT
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/dict/refunds \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/dict/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/dict/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"amountCents": 123,
"createdAt": "<string>",
"endToEndId": "<string>",
"id": "<string>",
"reason": "<string>",
"reportStatus": "<string>",
"requestedByISPB": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"effectiveRefundedAmountCents": 123,
"fundsRecoveryId": "<string>",
"monitorAccount": true,
"refundAccount": {
"accountNumber": "<string>",
"accountType": "<string>",
"participant": "<string>",
"taxIdNumber": "<string>",
"branch": "<string>"
}
}
],
"limit": 123,
"offset": 123,
"correlationId": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Listar devoluções DICT
Retorna registros locais de devolução DICT de forma paginada.
GET
/
api
/
v1
/
dict
/
refunds
Listar devoluções DICT
Autorizações
JWT bearer token issued by the identity provider.
Parâmetros de consulta
Page size (default 25, max 100)
Intervalo obrigatório:
1 <= x <= 100Page offset (default 0)
Intervalo obrigatório:
x >= 0Resposta
OK
Local DICT refund request records for the requested limit/offset window.
Show child attributes
Show child attributes
Effective page size applied to this response.
Zero-based offset of the first item in this page.
Request-scoped correlation identifier echoing X-Request-ID, for pivoting from response to trace.
Esta página foi útil?
⌘I

